require "rails_helper"

RSpec.describe Crm::DiningQueuesController, type: :routing do
  describe "routing" do

    it "routes to #index" do
      expect(:get => "/crm/dining_queues").to route_to("crm/dining_queues#index")
    end

    it "routes to #new" do
      expect(:get => "/crm/dining_queues/new").to route_to("crm/dining_queues#new")
    end

    it "routes to #show" do
      expect(:get => "/crm/dining_queues/1").to route_to("crm/dining_queues#show", :id => "1")
    end

    it "routes to #edit" do
      expect(:get => "/crm/dining_queues/1/edit").to route_to("crm/dining_queues#edit", :id => "1")
    end

    it "routes to #create" do
      expect(:post => "/crm/dining_queues").to route_to("crm/dining_queues#create")
    end

    it "routes to #update via PUT" do
      expect(:put => "/crm/dining_queues/1").to route_to("crm/dining_queues#update", :id => "1")
    end

    it "routes to #update via PATCH" do
      expect(:patch => "/crm/dining_queues/1").to route_to("crm/dining_queues#update", :id => "1")
    end

    it "routes to #destroy" do
      expect(:delete => "/crm/dining_queues/1").to route_to("crm/dining_queues#destroy", :id => "1")
    end

  end
end
